Skip to content

List the digital files of one of your listings

GET
/listings/{listing_id}/assets
curl --request GET \
--url https://acme.mykreezalid.com/front_api/v1/listings/4242/assets \
--header 'Authorization: Bearer <token>'

Returns the downloadable files delivered to buyers of a listing of the signed-in member.

listing_id
required
integer

Listing ID.

Example

4242

The files of the listing.

Media typeapplication/json
object
assets
Array<object>

A digital file delivered to buyers of a listing.

object
id
integer
listing_id
integer
variant_id

Variant the file belongs to, or null for the whole listing.

integer
nullable
filename
string
nullable
download_url

Download link of the file.

string
nullable
file_size

Size in bytes.

integer
nullable
file_type

Media type of the file.

string
nullable

Example

{
"assets": [
{
"id": 702,
"listing_id": 4242,
"filename": "ebook.pdf",
"file_size": 1048576,
"file_type": "application/pdf"
}
]
}

No valid access token was sent (JSON error body), or the listing belongs to another member (plain-text body You are not allowed to access this resource).

No listing with this ID.